%define aurox_ver 10.0
%define rel 1


Name: mysqlclient10
Version: 3.23.58
Release: %{aurox_ver}.aur.%{rel}
Source0: http://www.mysql.com/Downloads/MySQL-3.23/mysql-%{version}.tar.gz
Patch0: mysql-3.23.54-libdir.patch
Patch1: mysql-errno.patch
URL: http://www.mysql.com
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: Backlevel MySQL shared libraries.
License: GPL/LGPL
Group: Applications/Databases
Prereq: /sbin/ldconfig, /sbin/install-info, grep,  fileutils, chkconfig
BuildRequires: gperf, perl, readline-devel
BuildRequires: gcc-c++, ncurses-devel, zlib-devel
BuildRequires: libtool automake autoconf
Requires: bash
Provides: libmysqlclient.so.10   libmysqlclient.so.10.0.0 
Provides: libmysqlclient_r.so.10 libmysqlclient_r.so.10.0.0

%description
This package contains backlevel versions of the MySQL client libraries
as shipped with Aurox Linux 9.0 for use with applications linked against
them.  These shared libraries where created using MySQL 3.23.56.

%prep
%setup -q -n mysql-%{version}
%patch0 -p1
%patch1 -p1

libtoolize --force
aclocal
automake
autoconf
autoheader

%build
CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
%ifarch alpha
# Can't link C++ objects into an executable without this. Odd!
# -ECL 2002-12-19
CFLAGS="$CFLAGS -fPIC"
%endif
CXXFLAGS="$CFLAGS -fno-rtti -fno-exceptions"
export CFLAGS CXXFLAGS

%configure \
	--without-readline \
	--without-debug \
	--enable-shared \
	--with-extra-charsets=complex \
	--localstatedir=/var/lib/mysql \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--with-mysqld-user="mysql" \
	--with-extra-charsets=all \
	--with-innodb \
	--enable-local-infile \
	--enable-large-files=yes --enable-largefile=yes \
	--with-berkeley-db-includes=%{_includedir} \
	--with-berkeley-db-libs=%{_libdir} \
	--enable-thread-safe-client

make %{?_smp_mflags}
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -rf $RPM_BUILD_ROOT%{_prefix}/sql-bench
rm -rf $RPM_BUILD_ROOT%{_prefix}/mysql-test
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_datadir}
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_libexecdir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/mysql/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig %{_libdir}/mysql

%postun
if [ $1 = 0 ] ; then
    /sbin/ldconfig %{_libdir}/mysql
fi

%files
%defattr(-,root,root)
%{_libdir}/mysql/libmysqlclient*.so.*

%changelog
* Tue Jul 20 2004 Aurox Team <aurox@aurox.org> 0:3.23.58-10.0.aur.1
- rebuild for Aurox 10.0
- rebuild for Aurox 9.4

* Fri Jun 27 2003 Robert Glowczynski <robertg@software.com.pl> 3.23.57-9.1.aur.1
- rebuilt for Aurox 9.1
- without bench
- version 3.23.57

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 29 2003 Patrick Macdonald <patrickm@redhat.com> 3.23.56-1
- created - originated from the mysql package
- removed all other files and install/uninstall/test procedures
- changed description
